Get the generation details
Retrieves detailed information about AI responses including the System Prompt, Conversation history, Knowledge base, website, FAQ chunks, and Rich Text chunks.
GET
/
conversation-ai
/
generations
Get the generation details
curl --request GET \
--url https://services.leadconnectorhq.com/conversation-ai/generations \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversation-ai/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/generations"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"prompt": "Personality:\nFriendly and professional,\n\nIntent:\nAssist customers with inquiries\n\nAdditional Information:\nHandle basic support queries",
"responseMessage": "Hello! I understand you're interested in our products. How can I assist you today?",
"actionLogs": [
{
"contactUpdateAction": [
{
"fieldId": "field_123",
"value": "John Doe"
}
]
}
],
"history": [
{
"role": "user",
"content": "Hi, I have a question about returns"
},
{
"role": "assistant",
"content": "I'll be happy to help you with information about our return policy."
}
],
"intent": "Assist customers with product inquiries and support",
"faqs": [
{
"id": "chunk_123",
"content": "Our return policy allows returns within 30 days of purchase.",
"title": "Return Policy FAQ"
}
],
"website": [
{
"id": "chunk_456",
"content": "We offer free shipping on orders over $50.",
"url": "https://example.com/shipping"
}
],
"agentId": "emp_123",
"input": "What is your return policy?",
"mode": "auto-pilot"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Query Parameters
Response
Successful response
Last modified on March 7, 2026
Was this page helpful?
Get the generation details
curl --request GET \
--url https://services.leadconnectorhq.com/conversation-ai/generations \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversation-ai/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/generations"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"prompt": "Personality:\nFriendly and professional,\n\nIntent:\nAssist customers with inquiries\n\nAdditional Information:\nHandle basic support queries",
"responseMessage": "Hello! I understand you're interested in our products. How can I assist you today?",
"actionLogs": [
{
"contactUpdateAction": [
{
"fieldId": "field_123",
"value": "John Doe"
}
]
}
],
"history": [
{
"role": "user",
"content": "Hi, I have a question about returns"
},
{
"role": "assistant",
"content": "I'll be happy to help you with information about our return policy."
}
],
"intent": "Assist customers with product inquiries and support",
"faqs": [
{
"id": "chunk_123",
"content": "Our return policy allows returns within 30 days of purchase.",
"title": "Return Policy FAQ"
}
],
"website": [
{
"id": "chunk_456",
"content": "We offer free shipping on orders over $50.",
"url": "https://example.com/shipping"
}
],
"agentId": "emp_123",
"input": "What is your return policy?",
"mode": "auto-pilot"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}